Bug 2228065 - mds: do not evict clients if OSDs are laggy
Summary: mds: do not evict clients if OSDs are laggy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat Storage
Component: CephFS
Version: 5.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 6.1z3
Assignee: Dhairya Parmar
QA Contact: sumr
Disha Walvekar
URL:
Whiteboard:
Depends On: 2228039 2228066 2260003
Blocks: 2247624
TreeView+ depends on / blocked
 
Reported: 2023-08-01 09:35 UTC by Dhairya Parmar
Modified: 2024-01-24 05:39 UTC (History)
7 users (show)

Fixed In Version: ceph-17.2.6-155.el9cp
Doc Type: Enhancement
Doc Text:
.Laggy clients are now evicted only if there are no laggy OSDs Previously, monitoring performance dumps from the MDS would sometimes show that the OSDs were laggy, `objecter.op_laggy` and `objecter.osd_laggy`, causing laggy clients (cannot flush dirty data for cap revokes). With this enhancement, if `defer_client_eviction_on_laggy_osds` is set to true and a client gets laggy because of a laggy OSD then client eviction will not take place until OSDs are no longer laggy.
Clone Of: 2228039
Environment:
Last Closed: 2023-12-12 13:55:47 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHCEPH-7133 0 None None None 2023-08-01 10:50:08 UTC
Red Hat Product Errata RHSA-2023:7740 0 None None None 2023-12-12 13:55:52 UTC

Description Dhairya Parmar 2023-08-01 09:35:37 UTC
+++ This bug was initially created as a clone of Bug #2228039 +++

Description of problem: If OSD(s) is/are laggy (due to certain conditions like network cut-off, etc) then it might make clients laggy(session might get idle or cannot flush dirty data for cap revokes). Therefore have a config option that can be used to defer evicting/removing "laggy" client sessions until OSDs are no longer laggy. Log a warning to the cluster indicating the situation.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from RHEL Program Management on 2023-08-01 08:00:02 UTC ---

Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 21 errata-xmlrpc 2023-12-12 13:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Ceph Storage 6.1 security, enhancements, and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2023:7740


Note You need to log in before you can comment on or make changes to this bug.